### Index
* [Méta-listes](#méta-listes)
* [Non dépendant du langage](#non-dépendant-du-langage)
    * [Algorithmique](#algorithmique)
    * [Logiciels libres](#logiciels-libres)
    * [Makefile](#makefile)
    * [Méthodes de développment](#méthodes-de-développement)
    * [Pédagogie pour enfants et adolescents](#pédagogie-pour-enfants-et-adolescents)
    * [Théorie des langages](#théorie-des-langages)
* [Arduino](#arduino)
* [Assembleur](#assembleur)
* [Bash / Shell](#bash--shell)
* [Caml](#caml)
* [C / C++](#c--c)
* [Coq](#coq)
* [CSS](#css)
* [Git](#git)
* [Haskell](#haskell)
* [Java](#java)
* [Javascript](#javascript)
* [jQuery](#jquery)
* [(La)TeX et associés](#latex-et-associés)
    * [LaTeX](#latex)
    * [Asymptote](#asymptote)
    * [Metapost](#metapost)
    * [PGF/TikZ](#pgftikz)
    * [TeX](#tex)
* [Lua](#lua)
* [Lisp](#lisp)
* [Meteor](#meteor)
* [Perl](#perl)
* [PHP](#php)
* [Python](#python)
* [R](#r)
* [Ruby](#ruby)
* [Sage](#sage)
* [Scilab](#scilab)
* [SPIP](#spip)
* [Vim](#vim)


### Méta-listes
* [Le SILO: Sciences du numérique &amp; Informatique au Lycée: Oui!](https://wiki.inria.fr/sciencinfolycee/Accueil)


### Non dépendant du langage
#### Algorithmique
* [Algorithmique](http://pauillac.inria.fr/~quercia/cdrom/cours), par Michel Quercia
* [Éléments d'algorithmique](http://www-igm.univ-mlv.fr/~berstel/Elements/Elements.pdf) par D. Beauquier, J. Berstel, et Ph. Chrétienne
* [France-IOI](http://www.france-ioi.org/)
* [Prologin](http://www.prologin.org/)


#### Logiciels libres
* [Histoires et cultures du libres](http://framabook.org/histoires-et-cultures-du-libre/)
* [Option libre. Du bon usage des licences libres](http://framabook.org/option-libre-du-bon-usage-des-licences-libres/), par Jean Benjamin
* [Produire du logiciel libre](http://framabook.org/8-produire-du-logiciel-libre/), par Karl Fogel
* [Richard Stallman et la révolution du logiciel libre](http://framabook.org/richard-stallman-et-la-revolution-du-logiciel-libre/), par R.M. Stallman, S. Williams et C. Masutti


#### Makefile
* [Concevoir un Makefile](http://icps.u-strasbg.fr/people/loechner/public_html/enseignement/GL/make.pdf), par Vincent Loechner d'après Nicolas Zin
* [Introduction aux Makefile](http://eric.bachard.free.fr/UTBM_LO22/P07/C/Documentation/C/make/intro_makefile.pdf)


#### Méthodes de développement
* [Scrum et XP depuis les tranchées](http://www.infoq.com/resource/news/2007/06/scrum-xp-book/en/resources/ScrumAndXpFromTheTrenches_French.pdf), par Henrik Kniberg

#### Pédagogie pour enfants et adolescents

* [Apprendre l'informatique sans ordinateur](https://interstices.info/jcms/c_47072/enseigner-et-apprendre-les-sciences-informatiques-a-lecole), par Tim Bell, Ian H. Witten et Mike Fellows (traduit)


#### Théorie des langages
* [Compilation. Théorie des langages](http://www.lisyc.univ-brest.fr/pages_perso/leparc/Etud/Master/Compil/Doc/CoursCompilation.pdf) par Université de Bretagne Occidentale


### Arduino
* [Arduino : Premiers pas en informatique embarquée](http://eskimon.fr/ebook-tutoriel-arduino) - Eskimon et olyte


### Assembleur
* [PC Assembly Language](http://drpaulcarter.com/pcasm/) - Paul A. Carter


### Bash / Shell
* [Guide avancé d'écriture des scripts Bash](http://abs.traduc.org/abs-fr/)


### Caml
* [Le language Caml](http://caml.inria.fr/)


### C / C++
* [Cours de C/C++](http://casteyde.christian.free.fr/cpp/cours/online/book1.html) par Christian Casteyde
* [Le C en 20 heures](http://framabook.org/6-le-c-en-20-heures/), par Eric Berthomier et Daniel Schang
* [Introduction à la rétro-ingénierie de binaires](http://progdupeu.pl/articles/45/introduction-a-la-retro-ingenierie-de-binaires), à partir de code C compilé pour x86.


### Coq
* [Le Coq'Art (V8)](http://www.labri.fr/perso/casteran/CoqArt) par Yves Bertot et Pierre Castéran
* [Preuves de programmes en coq](http://fuscia.inrialpes.fr/cours/coq/) par Yves Bertot


### CSS
* [Apprendre les mises en page CSS](http://fr.learnlayout.com/)


### Git
* [Git Magic](http://www-cs-students.stanford.edu/~blynn/gitmagic/intl/fr/) par Alexandre Garel, Paul Gaborit et Nicolas Deram
* [Pro Git](http://www.git-scm.com/book/fr) par Scott Chacon


### Java
* [Initiation à la programmation (en Java)](https://www.coursera.org/course/intro-java-fr), MOOC de l'École Polytechnique Fédérale de Lausanne
* [Java Programming for Kids, Parents and Grandparents](http://myflex.org/books/java4kids/java4kids.htm) - Yakov Fain
* [Play.Rules!](http://3monkeys.github.io/play.rules/)


### Javascript
* [Javascript Éloquent : Une introduction moderne à la programmation](http://fr.eloquentjavascript.net/), par Marijn Haverbeke


### jQuery
* [Apprendre jQuery](http://sutterlity.gitbooks.io/apprendre-jquery/), par Sutterlity Laurent


### Haskell
* [Apprendre Haskell vous fera le plus grand bien !](http://lyah.haskell.fr/)
* [A Gentle Introduction to Haskell](http://gorgonite.developpez.com/livres/traductions/haskell/gentle-haskell/) par Paul Hudak, John Peterson et Joseph Fasel


### (La)TeX et associés

#### LaTeX
* [Détecter et résoudre
les problèmes](http://www.pearson.fr/livre/?GCOI=27440100048330), Annexe B du LaTeX Companion 2006, par Frank Mittelbach et Michel Goossens, mis à disposition par l'éditeur dans l'onglet « Compléments »
* [LaTeX... pour le prof de maths !](http://math.univ-lyon1.fr/irem/IMG/pdf/LatexPourProfMaths.pdf) par Arnaud Gazagnes
* [Tout ce que vous avez toujours voulu savoir sur LaTeX sans jamais oser le demander](http://framabook.org/5-tout-ce-que-vous-avez-toujours-voulu-savoir-sur-latex-sans-jamais-oser-le-demander/) par Vincent Lozano
* [(Xe)LaTeX appliqué aux sciences humaines](http://geekographie.maieul.net/95) par Maïeul Rouquette

#### Asymptote
* [Asymptote. Démarrage rapide](http://cgmaths.fr/cgFiles/Dem_Rapide.pdf), par Christophe Grospellier

#### Metapost
* [Un manuel de Metapost](http://melusine.eu.org/syracuse/metapost/f-mpman-2.pdf), par John D. Hobby
* [Tracer des graphes avec Metapost](http://melusine.eu.org/syracuse/metapost/f-mpgraph.pdf), par John D. Hobby

#### PGF/TikZ
* [TikZ pour l'impatient](http://math.et.info.free.fr/TikZ/), par Gérard Tisseau et Jacques Duma

#### TeX

* [TeX pour l'Impatient](ftp://tug.org/tex/impatient/fr/fbook.pdf), par Paul Abrahams, Kathryn Hargreaves, and Karl Berry, trad. Marc Chaudemanche

###Lua

* [Introduction à la programmation Lua](http://www.luteus.biz/Download/LoriotPro_Doc/LUA/LUA_Training_FR/Introduction_Programmation.html)
* [Lua : le tutoriel](http://wxlua.developpez.com/tutoriels/lua/general/cours-complet/), par Claude Urban


### Lisp
* [Introduction à la programmation en Common Lisp](http://www.algo.be/logo1/lisp/intro-lisp.pdf) par Francis Leboutte
* [Traité de programmation en Common Lisp](http://dept-info.labri.fr/~strandh/Teaching/Programmation-Symbolique/Common/Book/HTML/programmation.html) par Robert Strandh et Irène Durand

### Meteor
* [Apprendre Meteor](http://mquandalle.gitbooks.io/apprendre-meteor/), par Maxime Quandalle

### Perl
* [Guide Perl - débuter et progresser en Perl](http://formation-perl.fr/guide-perl.html), par Sylvain Lhullier
* [La documentation Perl en français](http://perl.mines-albi.fr/DocFr.html)


### PHP
* [Cours de PHP 5](http://g-rossolini.developpez.com/tutoriels/php/cours/?page=introduction) par Guillaume Rossolini
* [Initiation au PHP](http://www.framasoft.net/IMG/pdf/initiation_php.pdf) par David Ducrocq
* [Programmer en PHP](http://www.lincoste.com/ebooks/pdf/informatique/programmer_php.pdf) par Julien Gaulmin


### Python
* [Appendre à programmer avec Python](http://inforef.be/swi/python.htm) par Gerard Swinnen
* [Dropbox a des fuites ! Un aperçu de la rétro-ingénierie des programmes Python](http://pdp.microjoe.org/articles/34/dropbox-a-des-fuites)
* [Python](http://www.lincoste.com/ebooks/pdf/informatique/python.pdf) par Guido Van Rossum
* [Une introduction à Python 3](https://perso.limsi.fr/pointal/python:courspython3) par Bob Cordeau et Laurent Pointal

### R
* [Introduction à la programmation en R](http://cran.r-project.org/doc/contrib/Goulet_introduction_programmation_R.pdf) par Vincent Goulet


### Ruby
* [Ruby en vingt minutes](https://www.ruby-lang.org/fr/documentation/quickstart/)
* [Venir à Ruby après un autre language](https://www.ruby-lang.org/fr/documentation/ruby-from-other-languages/)


#### Ruby on Rails
* [Tutoriel Ruby on Rails : Apprendre Rails par l'exemple](http://french.railstutorial.org/chapters/beginning), par Michael Hartl


### Sage
* [Calcul mathématique avec Sage](http://sagebook.gforge.inria.fr/), par A. Casamayou, N. Cohen, G. Connan, T. Dumont, L. Fousse, F. Maltey, M. Meulien, M. Mezzarobba, C. Pernet, N. M. Thiéry, P. Zimmermann


### Scilab
* [Introduction à Scilab](http://forge.scilab.org/index.php/p/docintrotoscilab/downloads/) par Michaël Baudin, Artem Glebov, Jérome Briot


### SPIP
* [Programmer avec SPIP](http://programmer.spip.net/), par Matthieu Marcimat et collectif SPIP

### Vim
* [Learn Vim Progressively](http://yannesposito.com/Scratch/fr/blog/Learn-Vim-Progressively/)
* [Vim pour les humains](http://vimebook.com/), par Vincent Jousse (le livre n'est pas **gratuit** mais **à prix libre**)
